<?php
function redondeado ($numero, $decimales) {
   $factor = pow(10, $decimales);
   return (round($numero*$factor)/$factor); }
   
    /* 
      dateAdd(int)
      Función que calcula una fecha futura según la cantidad de días que se le proporcionen como argumento
      Versión original en http://www.php.net
      Adaptación: Aoyama (LSCA. Israel E. García)
      Modificado por mi el 4/1/2008
   */
   function dateAdd($fecha_dada,$n_dias)
   {
   	//fecha dada vendrá en el formato aaaa-mm-dd
      /*
      $mes = date("m");
      $anio = date("Y");
      $dia = date("d");
      */
      $fecha_dada = explode("-",$fecha_dada);
      $mes = $fecha_dada[1];
      $anio = $fecha_dada[0];
      $dia = $fecha_dada[2];
      $ultimo_dia = date( "d", mktime(0, 0, 0, $mes + 1, 0, $anio) ) ;
      $dias_adelanto = $n_dias;
      $siguiente = $dia + $dias_adelanto;
      if ($ultimo_dia < $siguiente)
      {
         $dia_final = $siguiente - $ultimo_dia;
         $mes++;
         if ($mes == '13')
         {
            $anio++;
            $mes = '01';
         }
         //$fecha_final = $dia_final.'/'.$mes.'/'.$anio;
         $fecha_final = $anio.'-'.$mes.'-'.$dia_final;         
      }
      else
      {
         //$fecha_final = $siguiente .'/'.$mes.'/'.$anio;
         $fecha_final = $anio.'-'.$mes.'-'.$siguiente;         
      }
      return $fecha_final;
   }
   
   function RestarHoras($horaini,$horafin)
{
	$horai=substr($horaini,0,2);
	$mini=substr($horaini,3,2);
	$segi=substr($horaini,6,2);

	$horaf=substr($horafin,0,2);
	$minf=substr($horafin,3,2);
	$segf=substr($horafin,6,2);

	$ini=((($horai*60)*60)+($mini*60)+$segi);
	$fin=((($horaf*60)*60)+($minf*60)+$segf);

	$dif=$fin-$ini;

	$difh=floor($dif/3600);
	$difm=floor(($dif-($difh*3600))/60);
	$difs=$dif-($difm*60)-($difh*3600);
	//return date("H-i-s",mktime($difh,$difm,$difs));
	return date("H",mktime($difh));
	//return $difh;
}

 
$grupo = $_GET['vehiculo'];
$tarifa = $_GET['tipo_servicio'];
$nombre = ucwords($_GET['nombre']);
$apellidos = $_GET['apellidos'];
$correo = $_GET['correo'];
$dia = $_GET['dia'];
$mes = $_GET['mes'];
$ano = $_GET['ano'];
$hora = $_GET['hora'];
$minuto = $_GET['minuto'];
$direccion = $_GET['direccion'];
$numero = $_GET['numero'];
$ciudad = $_GET['ciudad'];
$cpostal = $_GET['cp'];
$provincia = $_GET['provincia'];
$cod_coche = $_GET['cod_coche'];
$idioma = $_GET['idioma'];

if ($idioma==1) {$usuario_idioma = 'WW';}
elseif ($idioma==2) {$usuario_idioma = 'WI';}
elseif ($idioma==3) {$usuario_idioma = 'WF';}

$correo = eregi_replace("@","#",$correo);

$cpostal = substr($cpostal,0,strlen($cpostal)-3);
$telefono = $_GET['telefono'];
//datos personales
$telefono_fijo = $_GET['telefono_fijo'];
	$direccion_personal = $_GET['direccion_personal'];
	$numero_personal = $_GET['numero_personal'];
	$cpostal_personal = $_GET['cpostal_personal'];
	$nif_cif = $_GET['nif_cif'];
	$letra_nif = $_GET['letra_nif'];
	$ciudad_personal = $_GET['ciudad_personal'];
	$provincia_personal = $_GET['provincia_personal'];
	
	//datos fin servicio
	$direccion_fin = $_GET['direccion_fin'];
	$numero_fin = $_GET['numero_fin'];
	$cpostal_fin = $_GET['cpostal_fin'];
	$ciudad_fin = $_GET['ciudad_fin'];
	$provincia_fin = $_GET['provincia_fin'];
	$fecha_fin_cerrada = $_GET['fecha_fin'];
	$hora_fin_cerrada = $_GET['hora_fin'];

//aqui optenemos el concepto
if ($tarifa=="TARICEREMO") {$concepto = 2;}
if ($tarifa=="TARIDISPO8") {$concepto = 4;}
if ($tarifa=="TARIDISPO4") {$concepto = 6;}
if ($tarifa=="TARITRANSF") {$concepto = 8;}
if ($tarifa=="TARITRANSC") {$concepto = 78;}

require('conexion.php');


$sql = "SELECT * FROM TARIFAS_PRECIOS WHERE (TARIFA = '$tarifa') AND (GRUPO = '$grupo') AND (CONCEPTO = '$concepto')";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$desc_concep = odbc_result($result,4);
$tipo_conp = odbc_result($result,5);
$baseim = odbc_result($result,6);

$iva = $baseim * 7/100;

$precio = $baseim + $iva;

$precio = redondeado($precio,2);

//sacamos el número de presupuesto
$rsql="Select max(NUMERO_PRE) from PRESUP1 WHERE NUMERO_PRE like '00%'";

$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));

$mireg = odbc_result($results,1);

$num_presup = ++$mireg;

//completamos con ceros
$num_presup = str_repeat('0',10-strlen($num_presup)).$num_presup;

$fecha_pre1 = date('Y-m-d');

$ultmodi = date('YmdH:i');

$fecha_presup = $_GET['ano']."-".$_GET['mes']."-".$_GET['dia'];
$hora_presup = $_GET['hora'].":".$_GET['minuto'];
//calculamos la hora final y el dia dependiendo del concepto, que extraeremos de la tabla CONCEP_FACTUR
//primero extraemos de la tabla CONCEP_FACTUR el número de horas de cada tarifa, asi si hay algún cambio será automático
$rsql = "SELECT * FROM CONCEP_FACTUR WHERE CODIGO='$concepto'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$n_horas = odbc_result($results,14);		


$fin_hora_presup = date("Y-m-d H:i", mktime($_GET['hora']+$n_horas, $_GET['minuto'], 0,$_GET['mes'],$_GET['dia'],$_GET['ano']));
 //calculamos si sumamos un dia
 $datos = explode(" ",$fin_hora_presup);
 $fin_fecha_presup = $datos[0];
 $fin_hora_presup = $datos[1];

 //si es un presupuesto cerrado, cogemos la hora y fecha final que nos pasa por get
if ($_GET['fecha_fin']!="") {
	$fin_fecha_presup = $_GET['fecha_fin'];	
}
if ($_GET['hora_fin']!="") {
	$fin_hora_presup = $_GET['hora_fin'];
	$fin_hora_presup = explode(":",$fin_hora_presup);
	$fin_hora_presup = $fin_hora_presup[0].":".$fin_hora_presup[1];
}



$luentre = $direccion.", ".$numero;

//vamos a buscar el número del potencial, si existe cogemos su número, si no existe le asignamos uno nuevo
$rsql = "SELECT * FROM POTENCIALES WHERE (EMAIL like '$correo') AND (NUMERO like '00%') ORDER BY NUMERO DESC";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$num_results = odbc_fetch_row($results);
if ($num_results==1) {
$num_potencial = odbc_result($results,1);
//aqui podemos actualizar todos los datos del potencial	
//actualizamos los datos del potencial si es presupuesto cerrado
if ($_GET['fecha_fin']!="") {
	
	//sacamos la provincia del código postal
	$provincia_personal = substr($cpostal_personal,0,strlen($cpostal_personal)-3);
	
$sql = "UPDATE POTENCIALES SET NOMBRE='".strtoupper($nombre)."', DIRECCION='".strtoupper($direccion_personal)."', CP='$cpostal_personal', POBLACION='".strtoupper($ciudad_personal)."', PROVINCIA='$provincia_personal', NIF='".$nif_cif.$letra_nif."', TELEFONO='+34 ".$telefono_fijo."', MOVIL='+34 ".$telefono."', EMAIL='$correo', EMAILPERSO='$correo'  WHERE NUMERO='$num_potencial'";
$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
}
}
else {
//conseguimos el número de potencial y guardamos sus datos
//conseguimos el número de orden
		$rsql="Select max(NUMERO) from POTENCIALES WHERE NUMERO like '00%'";

			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
			
			$num_potencial = odbc_result($results,1) + 1;
			
			//$registro = ComprobarRegistro('POTENCIALES',$num_potencial);
			
			$num_potencial = str_repeat('0',7-strlen($num_potencial)).$num_potencial;
			
$tsql =  "INSERT INTO POTENCIALES (NUMERO,NOMBRE,DIRECCION,CP,POBLACION,PROVINCIA,MOVIL,EMAIL,ALTA,SUBLICEN,OFICINA,ULTMODI,USUARIO,ORIGEN,EMPRESA,DIR_NUM,USU_CREA) VALUES ('$num_potencial','".strtoupper($nombre)."','','','','','+34 ".$_GET['telefono']."','".$correo."','$fecha_pre1','00','C1','$ultmodi','WW','2','00','','WW')";
$results=odbc_exec($cid,$tsql)or die(exit("Error en odbc_exec"));
}



//extraemos algunos datos de NTARI 
$rsql="Select * from NTARI WHERE CODIGO='$tarifa'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$tener_encuenta_dietas = odbc_result($results,48);
$condiciones = odbc_result($results,36);
//sacamos las condiciones de tarifa segun idioma
$rsql="SELECT * FROM TARI_COND WHERE IDIOMA='$idioma' AND NTARI='".$tarifa."'";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
while ($fila = odbc_fetch_array($results)) {
	$condiciones = $fila['CONDICIONES'];
}			
			
//guardamos datos en PRESUP1, PRESUP2 Y LIPRESUP
$rsql = "INSERT INTO PRESUP1 (NUMERO_PRE,LOCALIZA_PRE1,OFICINA_PRE1,OFIRETORNO_PRE1,OFISALIDA_PRE1,SUBLICEN_PRE1,ULTMODI_PRE1,USUARIO_PRE1,FPREV_PRE1,FSALIDA_PRE1,HPREV_PRE1,HSALIDA_PRE1,DIAS_PRE1,FECHA_PRE1,GRUPO_PRE1,TARIFA_PRE1,MEDIO_PRE1,RENTAL1_PRE1,VCACT_PRE1,ESCONCHOFER_PRE1,CONTACTO_PRE1,ENT_CALLE,ENT_NUM,ENT_POB,ENT_CP,ENT_CALLER,ENT_NUMR,ENT_POBR,ENT_CPR,NO_TENER_ENCUENTA_DIETAS) VALUES ('$num_presup','$num_presup','C1','C1','C1','00','$ultmodi','$usuario_idioma','$fin_fecha_presup','$fecha_presup','$fin_hora_presup','$hora_presup','1','$fecha_pre1','".$_GET['vehiculo']."','".$_GET['tipo_servicio']."','11','$usuario_idioma','".$_GET['cod_coche']."','1','$num_potencial','".strtoupper($direccion)."','$numero','".strtoupper($ciudad)."','".$_GET['cp']."','".strtoupper($direccion_fin)."','$numero_fin','".strtoupper($ciudad_fin)."','$cpostal_fin','$tener_encuenta_dietas')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));


$rsql = "INSERT INTO PRESUP2 (NUMERO_PRE,TIIVA_PRE2,TOLON_PRE2,BASEI_PRE2,ORIGEN_PRE2,IVA_PRE2) VALUES ('$num_presup','7.00','$precio','$baseim','2','$iva')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));



$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$concepto','$desc_concep','1','-1','1','DIA','$baseim','7.00','$baseim','$tipo_conp','$usuario_idioma')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));

//insertamos horas extras
//calculamos si sumamos horas extras
if (isset($_GET['presup_cerrado'])) {
	
$dif_horas = RestarHoras($hora_presup,$fin_hora_presup);
if ($dif_horas!=$n_horas) {
	$horas_extras = $dif_horas-$n_horas;
	//seleccionamos el precio
	//el concepto 5 son horas extras
	$sql = "SELECT * FROM TARIFAS_PRECIOS WHERE (TARIFA = '$tarifa') AND (GRUPO = '$grupo') AND (CONCEPTO = '5')";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
$nombre_hx = odbc_result($result,4);
$concepto_hx = odbc_result($result,3);
$precio_hx = odbc_result($result,6);

$subtotal_hx = $horas_extras * $precio_hx;
	//insertamos las horas extras
	$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$concepto_hx','$nombre_hx','1','-1','$horas_extras','DIA','$precio_hx','7.00','$subtotal_hx','4','$usuario_idioma')";
	$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
	
}

}

//si es un presupuesto cerrado damos un aviso
if (isset($_GET['presup_cerrado']) && $_GET['presup_cerrado']=="si") {
	//damos el mensaje
	$fecha = date("Y-m-d H:i:s");
	$msn = "HAY UN NUEVO PRESUPUESTO PENDIENTE DE SER REVISADO. Nº PRESUP: ".$num_presup;
$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WW','RM','".$fecha.".000000','$msn','0')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
$rsql = "INSERT INTO MSN (USU_EMI,USU_DES,FECHA,MSJ,LEIDO) VALUES ('WW','IS','".$fecha.".000000','$msn','0')";
$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
}

//dietas, si $tener en cuenta dietas es igual a 0, evaluamos la dieta y la insertamos en la tabla LIPRESUP
if ($tener_encuenta_dietas==0) {
	
	$hora_inicio = $hora_presup;
	$hora_inicio = explode(":",$hora_inicio);
	$hora_inicio = date("H:i:s",mktime($hora_inicio[0],$hora_inicio[1],00));
	
	$hora_fin = $fin_hora_presup;
	$hora_fin = explode(":",$hora_fin);
	$hora_fin = date("H:i:s",mktime($hora_fin[0]+1,$hora_fin[1],00));
	
	//gestion de diestas
	while ($hora_inicio!=$hora_fin) {
	
	//echo $hora_inicio."<br />";
	//tenemos 5 dietas a evaluar
	//Primera dieta, desayuno
	$sql="Select DIETA_AUT,HINI_DIETA,HFIN_DIETA from CONFI_EMP WHERE DIETA_AUT = '76'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos un desayuno.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$precio_dieta','$tipo_dieta','WW')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	
	//segunda dieta. comida-almuerzo
	$sql="Select DIETA_AUT2,HINI_DIETA2,HFIN_DIETA2 from CONFI_EMP WHERE DIETA_AUT2 = '20'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos una comida.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$precio_dieta','$tipo_dieta','WW')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
		
	}
	
	
	//tercera dieta o cena
	$sql="Select DIETA_AUT3,HINI_DIETA3,HFIN_DIETA3 from CONFI_EMP WHERE DIETA_AUT3 = '77'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	if ($hora_inicio>=$h_ini AND $hora_inicio<=$h_fin) {
		//echo "Sumamos una cena.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$precio_dieta','$tipo_dieta','WW')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	//cuarta dieta o hacemos noche
	$sql="Select DIETA_AUT4,HINI_DIETA4,HFIN_DIETA4 from CONFI_EMP WHERE DIETA_AUT4 = '38'";
	$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
	$num_results = odbc_fetch_row($results);
	//print odbc_result_all($results,"border=1");
	$codigo_dieta = odbc_result($results,1);
	$h_ini = odbc_result($results,2);
	$h_fin = odbc_result($results,3);
	
	//deberia hacer 2 tramos horarios
	if (($hora_inicio>=$h_ini AND $hora_inicio<='23:59:59') || ($hora_inicio>='00:00:00' AND $hora_inicio<=$h_fin)) {
		//echo "Sumamos una noche.<br>";
		//antes de sumar el desayuno comprobamos si hay alguno insertado, si no lo hay, lo insertamos
		$rsql = "SELECT TOP 1 * FROM LIPRESUP WHERE NUMERO = '$num_presup' AND CONCEPTO = '$codigo_dieta'";
		$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		$num_results = odbc_fetch_row($results);
		if ($num_results!=1) {
			
			//con el código de la dieta, extraemos la informacion
			$sql="Select * FROM CONCEP_FACTUR WHERE CODIGO = '$codigo_dieta'";
			$results=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
			$desc_dieta = odbc_result($results,2);
			$precio_dieta = odbc_result($results,11);
			$iva_dieta = odbc_result($results,15);
			$tipo_dieta = odbc_result($results,6);
			
			$rsql = "INSERT INTO LIPRESUP (NUMERO,TARIFA,GRUPO,CONCEPTO,DESCCON,FACTURAR,INCLUIDO,CANTIDAD,UNIDAD,PRECIO,IVA,SUBTOTAL,TIPO,USUARIO) VALUES ('$num_presup','$tarifa','$grupo','$codigo_dieta','$desc_dieta','1','-1','1','DIA','$precio_dieta','$iva_dieta','$precio_dieta','$tipo_dieta','WW')";
			$results=odbc_exec($cid,$rsql)or die(exit("Error en odbc_exec"));
		}
	}
	
	
	

	$datos = explode(":",$hora_inicio);
	
	$hora_inicio = date("H:i:s",mktime($datos[0]+1,$datos[1],$datos[2]));
}

	//fin gestion de dietas
	
	
}

header('Content-Type: text/xml');//le digo al browser que es un documento xml
echo '<?xml version="1.0" encoding="iso-8859-1" standalone="no"?>';//le coloco la version de xml y a codificacion
echo "<precios>";
//sacamos de la tabla lipresup todos los importes
//echo "<precio>".$baseim."</precio>";
$sql = "SELECT PRECIO FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
while ($row = odbc_fetch_array($result)) {
	$des_precio .= $row['PRECIO'].";";
}

$des_precio = substr($des_precio,0,strlen($des_precio)-1);
echo "<precio>".$des_precio."</precio>";
//tambien los conceptos
$sql = "SELECT DESCCON,PRECIO FROM LIPRESUP WHERE NUMERO='$num_presup' ORDER BY PRECIO DESC";
$result=odbc_exec($cid,$sql)or die(exit("Error en odbc_exec"));
//print odbc_result_all($result,"border=1");
while ($row = odbc_fetch_array($result)) {
	$des_concepto .= $row['DESCCON'].";";
}

$des_concepto = substr($des_concepto,0,strlen($des_concepto)-1);
echo "<concepto>".$des_concepto."</concepto>";
echo "<num_presup>".$num_presup."</num_presup>";
echo "<num_potencial>".$num_potencial."</num_potencial>";
echo "<servicio>".$tarifa."</servicio>";
echo "<grupo>".$grupo."</grupo>";
echo "<nombre>".$nombre."</nombre>";
echo "<apellidos>".$apellidos."</apellidos>";
echo "<correo>".$correo."</correo>";
echo "<condiciones>".$condiciones."</condiciones>";
echo "<fecha_presup>".$fecha_presup."</fecha_presup>";
echo "<hora_presup>".$hora_presup."</hora_presup>";
echo "<fin_fecha_presup>".$fin_fecha_presup."</fin_fecha_presup>";
echo "<fin_hora_presup>".$fin_hora_presup."</fin_hora_presup>";
echo "</precios>";
?>